PLaSK library

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | List of all members
plask::DataFrom2Dto3DSourceImpl< PropertyT, FIELD_PROPERTY, VariadicTemplateTypesHolder< ExtraArgs... > > Struct Template Reference

Don't use this directly, use DataFrom2Dto3DSource instead. More...

`#include <plask/filters/change_space_size.hpp>`

Inheritance diagram for plask::DataFrom2Dto3DSourceImpl< PropertyT, FIELD_PROPERTY, VariadicTemplateTypesHolder< ExtraArgs... > >:
[legend]
Collaboration diagram for plask::DataFrom2Dto3DSourceImpl< PropertyT, FIELD_PROPERTY, VariadicTemplateTypesHolder< ExtraArgs... > >:
[legend]

## Classes
struct | LazySourceImpl

## Public Types
typedef PropertyAt< PropertyT, Geometry3D >::ValueType | ValueType
| Type of property value in output space.
typedef PropertyAt< PropertyT, Geometry2DCartesian >::ValueType | InputValueType
| Type of property value in input space.
Public Types inherited from plask::InnerDataSource< PropertyT, Geometry3D, Geometry2DCartesian, Geometry3D, Extrusion >
typedef Primitive< OutputSpaceType::DIM >::Box | OutBox
typedef Vec< OutputSpaceType::DIM, double > | OutVec

## Public Member Functions
std::function< plask::optional< ValueType >(std::size_t index)> | operator() (const shared_ptr< const MeshD< 3 > > &dst_mesh, ExtraArgs... extra_args, InterpolationMethod method) const override
Public Member Functions inherited from plask::InnerDataSource< PropertyT, Geometry3D, Geometry2DCartesian, Geometry3D, Extrusion >
const Region * | findRegion (const OutVec &p) const
const Region * | findRegion (const OutVec &p, Predicate pred) const
| Find region that has `p` inside bounding-box and fulfill predicate `pred`.
std::size_t | findRegionIndex (const OutVec &p) const
std::size_t | findRegionIndex (const OutVec &p, Predicate pred) const
void | calcConnectionParameters () override
| This is called before request for data, but after setup inputObj, outputObj and path fields.
Public Member Functions inherited from plask::DataSourceWithReceiver< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >
| DataSourceWithReceiver ()
| ~DataSourceWithReceiver ()
void | disconnect ()
void | setPath (const PathHints *path)
const PathHints * | getPath () const
void | inOrOutWasChanged (GeometryObject::Event &e)
void | connect (InputGeomObj &inputObj, OutputGeomObj &outputObj, const PathHints *path=nullptr)

## Additional Inherited Members
Public Attributes inherited from plask::InnerDataSource< PropertyT, Geometry3D, Geometry2DCartesian, Geometry3D, Extrusion >
std::vector< Region > | regions
Public Attributes inherited from plask::DataSourceWithReceiver< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >
ReceiverFor< PropertyT, InputSpaceType > | in
Protected Attributes inherited from plask::DataSourceWithReceiver< PropertyT, OutputSpaceType, InputSpaceType, OutputGeomObj, InputGeomObj >
const InputGeomObj * | inputObj
const OutputGeomObj * | outputObj
plask::optional< PathHints > | path
boost::signals2::connection | geomConnectionIn
boost::signals2::connection | geomConnectionOut

## Detailed Description

template<typename PropertyT, typename... ExtraArgs>
struct plask::DataFrom2Dto3DSourceImpl< PropertyT, FIELD_PROPERTY, VariadicTemplateTypesHolder< ExtraArgs... > >

Don't use this directly, use DataFrom2Dto3DSource instead.

Definition at line 128 of file change_space_size.hpp.

## Member Typedef Documentation

## ◆ InputValueType

template<typename PropertyT , typename... ExtraArgs>

typedef PropertyAt<PropertyT,Geometry2DCartesian>::ValueType plask::DataFrom2Dto3DSourceImpl< PropertyT, FIELD_PROPERTY, VariadicTemplateTypesHolder< ExtraArgs... > >::InputValueType

Type of property value in input space.

Definition at line 137 of file change_space_size.hpp.

## ◆ ValueType

template<typename PropertyT , typename... ExtraArgs>

typedef PropertyAt<PropertyT,Geometry3D>::ValueType plask::DataFrom2Dto3DSourceImpl< PropertyT, FIELD_PROPERTY, VariadicTemplateTypesHolder< ExtraArgs... > >::ValueType

Type of property value in output space.

Definition at line 134 of file change_space_size.hpp.

## Member Function Documentation

## ◆ operator()()

template<typename PropertyT , typename... ExtraArgs>

std::function< plask::optional< ValueType >(std::size_t index)> plask::DataFrom2Dto3DSourceImpl< PropertyT, FIELD_PROPERTY, VariadicTemplateTypesHolder< ExtraArgs... > >::operator() | ( | const shared_ptr< const MeshD< 3 > > & | dst_mesh,
|  | ExtraArgs... | extra_args,
|  | InterpolationMethod | method
| ) |  | const
| inline override

Definition at line 172 of file change_space_size.hpp.

The documentation for this struct was generated from the following file:

- plask/filters/change_space_size.hpp